package com.huiju.welcome.common;

/**
 * 此类同硬件服务端的定义是一致的
 */

import com.alibaba.fastjson.JSONObject;
import com.huiju.welcome.utils.StringUtils;
import lombok.Data;

@Data
public class Action {
    public final static String TYPE_DEFAULT = "default";
    public final static String TYPE_ACK = "ack";
    public final static String TYPE_DISPATCH_FACE = "dispatch-face";
    public final static String TYPE_TO_FRONT = "to-front";
    public final static String TYPE_NEW_MAIN_USHER = "new-main-usher";
    public final static String TYPE_NEW_FIRST_USHER = "new-first-usher";

    public final static String ACK_SUCCESS = "success";

    String id;
    String type;
    Object payload;

    public static Action create(String type, Object payload, String ...ids) {
        Action act = new Action();
        act.setType(type);
        act.setPayload(payload);

        if (null != ids && ids.length > 1) {
            act.setId(ids[0]);
        } else {
            act.setId(StringUtils.random(32));
        }
        return act;
    }

    public static Action ack(Action origin) {
        return Action.create(Action.TYPE_ACK, ACK_SUCCESS, origin.getId());
    }

    public Action response(Object result) {
        this.setPayload(result);
        return this;
    }

    public String toJSON() {
        return JSONObject.toJSONString(this);
    }
}
